:root{
	--bm-info-card-margin:15px;
	--radial-blue-bkg:radial-gradient(circle,rgba(45, 110, 239, 1) 0%, rgba(25, 84, 173, 1) 90%, rgba(16, 71, 154, 1) 100%);
}

#main p.has-link-color a{
	text-decoration: none;
}

#ast-desktop-header .main-header-menu > .menu-item{
	line-height: 30px;
}

.main-header-menu > .menu-item:not(:last-child) a.menu-link{
	border-right: 1px solid #b7b7b7;
}

.ast-primary-header-bar{
	box-shadow:0px 5px 4px #00000040;
}

#ast-hf-menu-1 > li.menu-item{
	padding-top: 25px;
    padding-bottom: 25px;
}


.main-header-menu .menu-item ul.sub-menu > .menu-item > a.menu-link{
	padding-top:15px;
	padding-bottom:15px;
	margin-left:10px;
	margin-right:10px;
	transition:none;
	
}


.main-header-menu .menu-item .menu-item:hover{
	background:var(--radial-blue-bkg);
	
	& > a.menu-link{
		color:white;
	}
}
.main-header-menu .menu-item ul.sub-menu > .menu-item + .menu-item > a.menu-link{
	border-top:1px solid grey;
}

.ast-primary-header-bar .site-header-primary-section-right .ast-custom-button{
	position:relative;
	overflow:hidden;
}

.ast-primary-header-bar .site-header-primary-section-right .ast-custom-button::before{
	content:"";
	position:absolute;
	top:0px;
	left:-100%;
	width:100%;
	height:100%;
	animation: animShinebutton 2s infinite 2s cubic-bezier(0.26, 0.76, 0.63, 0.93);
	background: linear-gradient(110deg,rgba(0, 0, 0, 0) 0%, rgba(54, 54, 54, 0) 10%, rgba(255, 255, 255, 0.6) 35%, rgba(41, 41, 41, 0) 70%, rgba(0, 0, 0, 0) 100%);
	z-index:10;
	
}

@keyframes animShinebutton{
	
	0%{
		left:-100%;
	}
	50%{
		left:30%;
	}
	80%{
		left:100%;
	}	
	100%{
		left:100%;
	}
} 

@font-face {
  font-family: "Kalam Regular";
  src: url("https://bildekorstockholm.staging.rackfish.net/wp-content/themes/astra-child/fonts/Kalam-Regular.ttf")
}

.handwritten.wp-block-uagb-advanced-heading p.uagb-heading-text{
	font-family:"Kalam Regular";
}

.gradient-image {
    position: relative;
    inset: 0;
    mask-repeat: no-repeat;
    z-index: 0;
	mask-composite: intersect !important;
	mask: linear-gradient(to top,  transparent 20%, #fff 45% 100%);
}

.gradient-image + .wp-block-uagb-container{
	position: relative;
    top: -80px;
}

.site-header-primary-section-right.site-header-section .ast-custom-button{
	white-space: nowrap;
}

.icon-card{
	background-color: var(--ast-global-color-7);
	box-shadow: 3px 4px 6px #00000030;
}

.icon-card .uagb-ifb-content .uagb-ifb-image-content{
	position: absolute;
    top: -45px;
    left: 50%;
    transform: translate(-50%, 0px);

	img{
		background-color:var(--ast-global-color-0);
		border-radius:50%;
	}
}

.bm-info-card{
	box-shadow:2px 3px 4px #00000040;
	overflow:hidden;
		
	.uagb-ifb-content .uagb-ifb-image-content{
		margin-left: calc(var(--bm-info-card-margin) * -1);
    	margin-right: calc(var(--bm-info-card-margin) * -1);
			
		img{
			border-style: none;
			object-fit:cover;
			height:100% !important;
			min-height:200px;
			max-height:200px;	
		}
	}
	
	.wp-block-button__link{
		position: absolute;
    	bottom: 0px;
    	margin-bottom: 15px;
		background: #2C6DEC;
		background: var(--radial-blue-bkg);
	}
}


.bm-info-card.servicecard .uagb-ifb-content .uagb-ifb-image-content{
	 overflow: hidden;
	
	img{
		transition:transform 0.2s;
		min-height:200px;
		max-height:200px;
		
	}
}

.bm-info-card.servicecard:hover .uagb-ifb-content .uagb-ifb-image-content img{
	transform:scale(1.2);
	
}

div.bm-blue-card{
	box-shadow:1px 2px 6px 2px #00000020;
	
	.uagb-infobox-margin-wrapper{
		height: 100%;
		
		.uagb-ifb-content{

			
			.uagb-ifb-image-content{
				margin-left: calc(20px * -1);
				margin-right: calc(20px * -1);

				img{
					border-top-left-radius: 15px;
					border-top-right-radius: 15px;
					border-style: none;
					object-fit:cover;
					height:300px !important;
				}
			}
	
			.uagb-ifb-image-content::before{
					content: '';
					border-top-left-radius: 15px;
					border-top-right-radius: 15px;
					position: absolute;
					top: 0;
					left: 0;
					width: 100%;
					height: 100%;
					background: rgb(26 101 193 / 68%);
					z-index:2;
					height:300px;
					transition:0.3s background ease;
			}

			.wp-block-button__link{
				background: #FF943E;
				background: radial-gradient(circle,rgba(255, 148, 62, 1) 0%, rgba(255, 126, 11, 1) 100%);
				box-shadow: 3px 4px 4px #00000040;
			}
			.uagb-ifb-title-wrap > .uagb-ifb-title{
				font-size:20px;
			}
		}	
	}
}

div.bm-blue-card .uagb-infobox-margin-wrapper a:hover{
	& + .uagb-ifb-content .uagb-ifb-image-content::before{
		background: transparent;	
	}
}

.numberlist-horizontal{
	display: flex;
    justify-content: space-between;
}

.numberlist-horizontal{
	list-style: none;
  	counter-reset: blue-number-counter;
}

.numberlist-horizontal li{
	counter-increment:blue-number-counter;
	text-align: center;
	
	strong{
		display:block;
		margin-top: 14px;
    	margin-bottom: 2px;
	}
}

.numberlist-horizontal li::before{
	content: counter(blue-number-counter);
    color: white;
    background-color: var(--ast-global-color-1);
    border-radius: 30px;
    font-weight: bold;
    padding: 9px;
    width: 60px;
    display: inline-block;
    height: 60px;
    font-size: 24px;
}

.wp-block-table.bb-table {
	filter: drop-shadow(2px 3px 4px #00000040);
	overflow-x: auto;
  table.has-fixed-layout {
    border-width: 0px;
    margin: 0px;
	min-width: 600px;
  }

  tr td {
    border: none;
    padding: 3px 20px;
    color: black;
  }

  tr {
    border-bottom: 1px solid lightgray;
  }

  tr:nth-child(odd) {
    background-color: #ffffff;
  }
  tr:nth-child(even) {
    background-color: #ebebeb;
  }
	
	thead{
		border-bottom: 1px solid lightgray;
	}

  thead tr:first-of-type{
    font-size: 1.2em;
    font-weight: 500;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;

    th {
      padding: 12px 20px;
      color: white;
	background-color: var(--ast-global-color-0) !important;
	border:none;
    }

    th:first-of-type {
      border-top-left-radius: 10px;
    }
    th:last-of-type {
      border-top-right-radius: 10px;
    }
  }

  tr:last-of-type {
	   border-bottom: none;
    td:first-of-type {
      border-bottom-left-radius: 10px;
    }
    td:last-of-type {
      border-bottom-right-radius: 10px;
    }
  }
}

ul.bm-list{
	padding-left:30px;
}

.bm-list li{
	list-style-type:none;
}

.bm-list li::before{
	content: "";
    display: inline-block;
    position: relative;
    top: 2px;
    background-image: url('https://bildekorstockholm.staging.rackfish.net/wp-content/uploads/2026/02/checkmark.svg');
    width: 30px;
    height: 19px;
    background-size: 24px;
    background-repeat: no-repeat;
	margin-left:-30px;
	
}

.bm-list li:where(:not(:last-of-type)){
	margin-bottom:10px;
}

.stk-block.stk-block-column.stk-column>.stk-column-wrapper{
	margin:0px !important;
}

.read-more-btn summary {
  display: flex;
  text-transform: uppercase;
  font-size: 18px;
  text-decoration: underline;
	line-height: 40px;
}

.read-more-btn.right-more summary {
  margin-left: 0px;
}

.read-more-btn.right-more-40 summary {
  margin-left: 0px;
}

.read-more-btn summary::before {
  content: "";
  background-image: url("https://bildekorstockholm.staging.rackfish.net/wp-content/uploads/2026/03/more_icon_right.svg");
  display: inline-block;
  width: 40px;
  height: 40px;
  color: orange;
  margin-right: 20px;
  background-size: 40px;
}

.read-more-btn[open] > summary::before {
	background-image: url("https://bildekorstockholm.staging.rackfish.net/wp-content/uploads/2026/03/more_icon_down.svg");
}

.read-more-btn > summary::marker {
  content: "";
}

.two-column {
  column-count: 1;
  column-gap: 80px;
}

.read-more-btn[open] > :where(.wp-block-group, .wp-block-columns){
  animation: detailsDropdownAnim 0.3s linear forwards;
  margin-top: 20px;
  margin-bottom: 40px;
}

@keyframes detailsDropdownAnim {
  0% {
    opacity: 0;
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: translateY(0px);
  }
}


#main .faq-container span[class^='uagb-icon']{
	background:linear-gradient(135deg,rgba(59, 130, 245, 1) 0%, rgba(59, 130, 245, 1) 50%, rgba(26, 55, 143, 1) 100%);
	box-shadow: inset 1px 1px 3px 0px #ffffff;
}

.ast-custom-button-link > .ast-custom-button{
	background:var(--radial-blue-bkg);
	box-shadow:3px 3px 4px #00000040;
}

#main .faq-block .wp-block-uagb-faq-child{
	padding: 10px 15px 10px 15px;
}

#main .faq-block .wp-block-uagb-faq-child:not(:last-child){
	border-bottom:2px solid var(--ast-global-color-0);
}

.entry-content p{
	margin-bottom: 0.5em;
}

div.wp-block-uagb-container > ul, div.wp-block-uagb-container > ol{
	margin:0px;
}

div.wp-block-uagb-container > p:has(+ ul), div.wp-block-uagb-container > p:has(+ ol){
	margin:0px;
}

.car-shadow img{
	filter: drop-shadow(13px 15px 18px #00000052);
}

#content .review-card-left{
	align-self:self-start;
}

#content .review-card-center{
	align-self:center;
}

#content .review-card-right{
	align-self:self-end;
}

#content .review-score-box{
        position: absolute;
		top: -22px;
		width: 190px;
		background-color: #f97316;
		padding: 7px 15px;
		height: 45px;
		margin-left: auto;
		margin-right: auto;
		border-radius: 8px;
		border: 2px solid #fdba74 !important;
    }
}

#content .form-container{
	position: relative;
    top: 0px;
	height:700px;
	
	p > a{
		word-break:break-all;
		text-decoration:none;
		
	}
}

.filter-shadow{
	filter: drop-shadow(2px 4px 6px rgba(0,0,0,0.25));
}

div.site-above-footer-wrap[data-section="section-above-footer-builder"]{
	box-shadow: 0px -13px 20px #00000040;
	position:relative;
}

.footer-notes{
	
	.wp-block-uagb-container{
		position:absolute;
	}
	
	.contact-box{
		left:0%;
	}
	.links-note{
		top: 260px;
    	left: 12%;
		transform: rotate(357deg);
	}
	.adress-link{
		left: 28%;
    	top: 44px;
		transform: rotate(2deg);
		z-index:2;
	}
	.map-note{
    	right: 0%;
		transform: rotate(357deg);
		z-index:3;
	}
}

.footer-notes > .wp-block-uagb-container::before{
	content: "";
    position: absolute;
    top: -32px;
    left: 50%;
    background: url("https://bildekorstockholm.staging.rackfish.net/wp-content/uploads/2026/02/drawingpin.png");
    width: 30px;
    height: 50px;
    z-index: 1;
}

.footer-notes > .wp-block-uagb-container.deg5::before{
	transform:rotate(5deg);
}


.footer-notes > .wp-block-uagb-container.deg15::before{
	transform:rotate(-15deg);
}

.footer-bottom-row{
	display: flex;
    justify-content: space-between;
	
	a{
		color:var(--ast-global-color-4);
		text-decoration:underline;
	}
}

.receipt-container{
	
	.r-input-row{
		display:flex;
		justify-content:space-between
	}
	.total-cost-field{
		font-size: 50px;
    	text-align: center;
    	font-family: 'Roboto Mono', monospace;
	}
}

.receipt-container::after{
	    content: "";
    background-image: url("https://bildekorstockholm.staging.rackfish.net/wp-content/uploads/2026/02/kvitto_bottom.png");
    position: relative;
    top: 0px;
    left: 0px;
    height: 35px;
    width: 100%;	
}


@media screen and (min-width:768px){
	.gradient-image{
		position:absolute;
		mask: linear-gradient(to top,  transparent 20%, #fff 45% 100%),
     linear-gradient(to right, transparent 40%, #fff 70% 80%, transparent 95%);
	}
	
	.gradient-image + .wp-block-uagb-container{
		position: relative;
		top: 0px;
	}
	
	article.bm-blue-card .bm-info-card .uagb-ifb-image-content{
		margin-top: -40px;
	}
	
	article.bm-blue-card .uagb-ifb-image-content img{
		min-height:250px;
		max-height:250px;	
	}
	
	article.bm-blue-card .uagb-ifb-image-content::before{
		height:250px;
	}
	
	.bm-info-card.servicecard .uagb-ifb-content .uagb-ifb-image-content img{
		transition:transform 0.2s;
		min-height:250px;
		max-height:250px;	
}
	
	
	#content .form-container{
		position: absolute;
		top: 0px;
		height:700px;
	}
	
	.two-column {
    	column-count: 2;
    	column-gap: 80px;
  	}
	
	.read-more-btn.right-more summary, .read-more-btn.right-more-40 summary {
  		margin-left: calc(50% + 20px);
		transition-delay:0.3s;
		transition:all 0.3s;
	}
	
	.read-more-btn.right-more-40 summary {
  		margin-left: calc(40% + 40px);
	}
	
	.read-more-btn[open].right-more summary, .read-more-btn[open].right-more-40 summary{
		margin-left:0px !important;
	}
	
	.read-more-btn[open] > .wp-block-columns{
		gap:50px;
	}
	
}


@media screen and (max-width:922px){
	
	div.wp-block-uagb-container.footer-notes{
		display:flex;
		flex-direction:column;
		align-items:stretch;
		gap:10px;
	}
	
	.footer-notes > .wp-block-uagb-container{
		position:static;
		transform:none;
	}
	
	.footer-notes > .wp-block-uagb-container::before{
		display:none;
	}
}

@media screen and (max-width:1300px){
	div.wp-block-uagb-container.footer-notes .adress-link{
		left: 40%;
    	top: -10px;
	}
	
	div.wp-block-uagb-container.footer-notes .map-note{
		right: 0%;
    	top: 180px;
		z-index:3;
	}
}